# $Revision: 1.8 $, $Date: 2011/09/08 17:02:34 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define 	module	pyflakes
Summary:	Passive checker of Python programs
Summary(pl.UTF-8):	Pasywny program do sprawdzania programów w Pythonie
Name:		python-%{module}
Version:	0.5.0
Release:	1
License:	MIT
Group:		Development/Tools
Source0:	http://pypi.python.org/packages/source/p/pyflakes/%{module}-%{version}.tar.gz
# Source0-md5:	568dab27c42e5822787aa8a603898672
URL:		http://www.divmod.org/projects/pyflakes
BuildRequires:	python-TwistedCore
BuildRequires:	python-devel
%{?with_tests:BuildRequires:	rpm-pythonprov}
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
Provides:	pyflakes = %{version}-%{release}
Obsoletes:	pyflakes < 0.4.0-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pyflakes is a simple program which checks Python source files for
errors. It is similar to PyChecker in scope, but differs in that it
does not execute the modules to check them. This is both safer and
faster, although it does not perform as many checks. Unlike PyLint,
Pyflakes checks only for logical errors in programs; it does not
perform any checks on style.

%description -l pl.UTF-8
Pyflakes to prosty program sprawdzający pliki źródłowe Pythona pod
kątem błędów. Jest podobny do PyCheckera jeśli chodzi o zakres
działania, ale różni się tym, że nie wykonuje modułów przy sprawdzaniu
ich. Jest to zarówno bardziej bezpieczne, jak i szybze, choć nie
sprawdza tak wielu rzeczy. W przeciwieństwie do PyLinta Pyflakes szuka
tylko błędów logicznych w programach; nie sprawdza stylu.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%if %{with tests}
trial pyflakes/test
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

rm -rf $RPM_BUILD_ROOT%{py_sitescriptdir}/pyflakes/test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pyflakes
%{py_sitescriptdir}/pyflakes
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/pyflakes-%{version}-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyflakes.spec,v $
Revision 1.8  2011/09/08 17:02:34  patrys
- 0.5.0

Revision 1.7  2011/02/17 07:04:31  glen
- add missing build section, run tests

Revision 1.6  2011/02/17 07:01:35  glen
- rename to python-pyflakes
- verbose files, remove tests packaging

Revision 1.5  2010/12/27 12:13:29  patrys
- 0.4.0

Revision 1.4  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.2  2005/11/19 14:44:37  qboosh
- pl

Revision 1.1  2005/11/18 15:37:20  charles
- initial
